# Chakra Plugin Interface

[![A Cubefuse Project](https://img.shields.io/badge/a_project_by-cubefuse-blue.svg?style=for-the-badge)](http://cubefuse.org)
[![Code Standard Style Compliant](https://img.shields.io/badge/code-standard-green.svg?style=for-the-badge)](https://github.com/standard/standard)
[![Readme Standard Style Compliant](https://img.shields.io/badge/readme-standard-green.svg?style=for-the-badge)](https://github.com/RichardLitt/standard-readme)
[![Travis CI](https://img.shields.io/travis/cubefuse/chakra-plugin-interface.svg?style=for-the-badge)](https://travis-ci.org/cubefuse/chakra-plugin-interface)
[![Codecov](https://img.shields.io/codecov/c/github/cubefuse/chakra-plugin-interface.svg?style=for-the-badge)](https://codecov.io/gh/cubefuse/chakra-plugin-interface)
[![npm](https://img.shields.io/npm/v/@chakrajs/plugin-interface.svg?style=for-the-badge)](https://www.npmjs.com/package/@chakrajs/plugin-interface)

[![Documentation](https://img.shields.io/badge/Documentation-blue.svg?style=for-the-badge)](https://cubefuse.github.io/chakra-docs)
[![API Reference](https://img.shields.io/badge/API-Reference-blue.svg?style=for-the-badge)](https://cubefuse.github.io/chakra-plugin-interface)


>  Interface for Chakra Plugins

## Table of Contents
- [Getting Started](#getting-started)
- [Development Setup](#development-setup)
- [Maintainers](#maintainers)
- [Contribute](#contribute)
- [License](#license)

## Getting Started

### npm package

This is the recommended method for using this package.

```sh
npm install @chakrajs/plugin-interface
```

If you are using `yarn` (recommended), use this instead.

```sh
yarn add @chakrajs/plugin-interface
```

Please read the [Documentation](https://cubefuse.github.io/chakra-docs) and the [API Reference](https://cubefuse.github.io/chakra-plugin-interface) to start building Chakra Apps.

## Development Setup

```sh
git clone https://github.com/cubefuse/chakra-plugin-interface.git
cd chakra-plugin-interface
yarn install
``` 

- The code can be built for both Node.js and the browser by `yarn build`.
- To run the tests and generate coverage reports, use `yarn test` and `yarn coverage`.
- Code linting with the JavaScript Standard Style is available with `yarn lint`.
- Code documentation can be built with `yarn docs`.

## Maintainers

[@mprasanjith](https://github.com/mprasanjith)

## Contribute

We welcome your pull requests and bug reports.

## License

MIT © 2018 Cubefuse
